@echo off
Rem Do all settings depending from your Windows environment here

rem Here you should set the model type of your Pocket Computer
rem Uncomment the line that lists your computer (without "PC-")

rem set SHARPC=1100
rem set SHARPC=1150
rem set SHARPC=1211
rem set SHARPC=1251
rem set SHARPC=1260
rem set SHARPC=1350
rem set SHARPC=1360
rem set SHARPC=1401
rem set SHARPC=1403
rem set SHARPC=1421
rem set SHARPC=1445
rem set SHARPC=1475
rem set SHARPC=1500
rem set SHARPC=1500QT
rem set SHARPC=1500QT1					  
rem set SHARPC=1500ST
rem set SHARPC=1600M1
rem set SHARPC=1600
rem set SHARPC=E220
rem set SHARPC=E500
rem set SHARPC=G850
rem set SHARPC=G850V

Rem For Bin2wav, uncomment for level inverting interfaces only
rem set SHARPDEV=INV

Rem set POCKTOOL path to the path\ of this script
set POCKTOOL=%~dp0
set KEYDIR=%POCKTOOL%KEYWORDS
set BASDIR=%POCKTOOL%LISTINGS
set BINDIR=%BASDIR%
rem SET ORG=
set WAVDIR=%POCKTOOL%WAV
set RECDIR=%POCKTOOL%WAV\Recorded
set TAPDIR=%WAVDIR%
Rem ANDDIR=?:\Android\data\o2s.emul.pc%SHARPC%\files\tapes

Rem Set additional permanent parameters for all scripts here
rem add -k%KEYDIR%\xyz.cfg -dYYY -uXXX -l# 
rem set BIN2OPT=-l0xC0
rem set WAV2OPT=-l0xC0
rem set BAS2OPT=-l0xE0

Rem If you do not specify a editor, default editor for Bas files will be used
rem 
set EDITOR=notepad.exe
rem set EDITOR=%~d0\PortableApps\pspad\PSPad.exe
rem set EDITOR="%ProgramFiles%\Notepad++\notepad++.exe"
rem set EDITOR="%ProgramFiles(x86)%\TextPad 5\TextPad.exe"
rem set HEDITOR="%~d0\PortableApps\pspad\PSPad.exe" -H
rem set HEDITOR="%~d0\PortableApps\HEXEdit.exe"
Rem If you do not specify a player, default player for Wav files will be used
rem set PLAYER=%~d0\PortableApps\VUPlayer\VUPlayer.exe
rem color 70

echo Init %0.BAT
if "%SHARPC%"=="" goto Input
echo Pocket model: SHARP PC-%SHARPC%
rem pause
goto End

:Input
echo.
echo !! Edit %0.BAT to configure your SHARP PC and environment - type PHELP !!
set /p SHARPC=Pocket computer is SHARP PC-
echo.

:End
